//--------------------------------------------------------------
//      A Stack class template Stack with exceptions
//              Utilization
//      This version uses vector<> internally.   
//--------------------------------------------------------------
// Jean-Paul Rigault: Basic C++
// $Id: main_Stack.cpp,v 1.1 2004/11/06 19:37:45 jpr Exp $
//--------------------------------------------------------------

#include <iostream>
using namespace std;

#include "Stack.h"

int main()
{
    Stack<char> st;
    char c; // Attention! we no longer use getchar()!

    try
    {
	while (cin >> c) st.push(c);
        while (true) cout << st.pop();
    }
    catch (Stack<char>::Full)
    {
        cerr << "stack full: SHOULD NOT OCCUR" << endl;
    }
    catch (Stack<char>::Empty)
    {
        cerr << "stack empty" << endl;
    }
                         
    putchar('\n');
}
