#ifndef _A_H_
#define _A_H_

#include <string>
using namespace std;

class A {
private:
    const string _s;
    int _i;
public:
    A(const string& s = "", int i = 0) 
	: _s(s), _i(i)
    {
	/* _s = s; // Impossible since _ s is const now ! */
	/* _i = i; // for symetry, now in member initialization list */
    }

    A(const char *pc, int i = 0) 
	: _s(pc == 0 ? "" : pc), _i(i)
    {}



    // We need to define  a copy assignment if we want it
    A& operator=(const A& a)
    {
	_i = a._i; // for instance...
	return *this;
    }

    // The default copy constructor provided by C++ is OK
};

#endif

