//=======================================================================
// Basic C++: class Expression: Modulo
//      Specification and implementation
//-----------------------------------------------------------------------
// Jean-Paul Rigault --- Copyright 2003
// $Id: Modulo.h,v 1.3 2005/02/08 10:58:27 jpr Exp $
//=======================================================================

#ifndef _MODULO_H_
#define _MODULO_H_

// Binary expressions

class Binary_Mod : public Binary_Expr
{
public:
    Binary_Mod(Expr *pe1, Expr *pe2) : Binary_Expr(pe1, pe2) {}
    virtual int eval() const 
    {
        int d = opr->eval();
        if (d == 0) throw ZeroDivide();
        return opl->eval() % d;
    }
};

#endif
