/*=======================================================================
 Basic C++: classe Date
        A struct date in C (minimum)
-----------------------------------------------------------------------
 Jean-Paul Rigault --- Copyright 2003
 $Id: date_c.h,v 1.2 2004/11/01 15:19:04 jpr Exp $
=======================================================================*/

#ifndef _DATE_C_H_
#define _DATE_C_H_

struct date
{
    int year;   /* since 1900 */
    int month;  /* 1 to 12 */
    int day;    /* 1 to 31 */
};

struct date today();

/* Add or remove a number of days */
struct date add(struct date dat, int n);
struct date sub(struct date dat, int n);

/* Print a date */
void print_date(struct date dat);

#endif

